<?php    

if(!defined('ParticleTraffic_PATH')) die;

class ParticalStatsAuthentication{ 
	
	public $allowEmailLogin=0;
	public $loginUserName='';
 
    function login($username, $pass, $useRememberToken=0){
	
		if (strlen($pass)==0 || strlen($username)==0) return 0;   
		 	
		//check main db pass info 
		if ($username==ParticleTraffic_LOGIN_USERNAME && $pass==ParticleTraffic_LOGIN_PASSWORD){
			$_SESSION['ParticleTraffic_uname']=$username; 
			return 1; 
		}else return 0;  
	} 
	
    static function isLoggedIn(){
        if( strlen($_SESSION['ParticleTraffic_uname'])<=1 && 
			strlen(ParticleTraffic_LOGIN_USERNAME) && 
			strlen(ParticleTraffic_LOGIN_PASSWORD) )
				return 0;
        else return 1;
    }
	 
    static function logout($domain=NULL){
		unset($_SESSION['ParticleTraffic_uname']); 
		self::clearRememberMe($domain);
    }
	
	//Auto Log Back in With Cookie
    function rememberMeLogin($domain=NULL){
		if( isset($_COOKIE['ParticleTraffic_uname']) && !self::isLoggedIn() ){ 
			if(!$this->login($_COOKIE['ParticleTraffic_uname'],$_COOKIE['rMeToken'],0,1,1)){ 
				self::clearRememberMe($domain); 
			}
		}	
    }
	
    static function setRememberMe($user,$md5Pass,$domain=NULL){ 
		setcookie('ParticleTraffic_uname', $user,  time() + 31536000,'/',$domain);
		setcookie('ParticleTraffic_rMeToken', $md5Pass,  time() + 31536000,'/',$domain); 
    }
	
	static function clearRememberMe($domain=NULL){
		setcookie("ParticleTraffic_uname", "", time()-3600,'/',$domain);
		setcookie('ParticleTraffic_rMeToken', "", time()-3600,'/',$domain);
    }	 
	
    static function getUserName(){return $_SESSION['ParticleTraffic_uname'];}
 

}//authentication

?>