<?php   
defined('C5_EXECUTE') or die(_("Access Denied.")); 


//PARTICLE STATS CONFIGURATION
//**************************************************************************************************************

//This is where you tell ParticleTraffic about your database. 
if(!defined('ParticleTraffic_DB_TYPE')) define('ParticleTraffic_DB_TYPE','mysql');  //'postgres', 'sqlite', 'mssql', 'odbc_mssql', 'db2'
if(!defined('ParticleTraffic_DB_NAME')) define('ParticleTraffic_DB_NAME',DB_DATABASE);  
if(!defined('ParticleTraffic_DB_HOST')) define('ParticleTraffic_DB_HOST',DB_SERVER); 
if(!defined('ParticleTraffic_DB_USERNAME')) define('ParticleTraffic_DB_USERNAME',DB_USERNAME);
if(!defined('ParticleTraffic_DB_PASSWORD')) define('ParticleTraffic_DB_PASSWORD',DB_PASSWORD);



//this is the directory path to the ParticleTraffic library (include a trailing slash)
if(!defined('ParticleTraffic_PATH')) define('ParticleTraffic_PATH', realpath(dirname(__FILE__)).'/');

//if your url to access particle stats is something like http://yoursite.com/ParticleTraffic/, 
//then your ParticleTraffic_URL_DIR would be /ParticleTraffic/     (include a trailing slash)
if(!defined('ParticleTraffic_URL_DIR')) define('ParticleTraffic_URL_DIR', '/');


//this is where the flash line-chart graph xml file will be stored
//set the permissions of this folder so it is both writable and readable
if(!defined('ParticleTraffic_CACHE_DIR')) define('ParticleTraffic_CACHE_DIR',DIR_FILES_CACHE ); //(include trailing slash)


// The site number is optional
// Set your site id number if you're tracking multiple sites in the same DB.
if(!defined('ParticleTraffic_SITE_ID_NUMBER')) define('ParticleTraffic_SITE_ID_NUMBER', 0); 


//If you would like to password protect the display screen of ParticleTraffic, set a username and password
if(!defined('ParticleTraffic_LOGIN_USERNAME')) define('ParticleTraffic_LOGIN_USERNAME','admin');
if(!defined('ParticleTraffic_LOGIN_PASSWORD')) define('ParticleTraffic_LOGIN_PASSWORD','');


//Change you graph's colorscheme (use 6 digit hex number):
if(!defined('ParticleTraffic_GRAPH_PAGE_VIEWS_COLOR')) define('ParticleTraffic_GRAPH_PAGE_VIEWS_COLOR', '5377A9'); 
if(!defined('ParticleTraffic_GRAPH_VISITS_COLOR')) define('ParticleTraffic_GRAPH_VISITS_COLOR', '999999'); 




//PARTICLE STATS LIBRARIES (you shouldn't have to change anything below this line)
//**************************************************************************************************************

if( !strlen(session_id()) ) session_start(); 

if( !function_exists('ADONewConnection') ) require_once(ParticleTraffic_PATH.'adodb5/adodb.inc.php');  

require_once(ParticleTraffic_PATH.'lib/tracker.php');

//define('ParticleTraffic_ON_WINDOWS', ($os = getenv('OS')) && (substr_count($os, 'Win')>0));

?>