<?php   
if(!defined('ParticleTraffic_PATH')) die;

$defaultTimeframe='week'; 
$defaultVisitDisplayMode='graph';
$defaultUserAgentView='browsers';
$defaultDiscoveryView='referrers';
$defaultDiscoveryDataSet='top';
$defaultPagesView='top';
?>

<div class="ParticleTraffic"> 
	
    <table style="width:100%;" cellspacing="0" cellpadding="0"><tr><td valign="top" style="width:49%; ">
        
        <h1><span><?php   echo t('Popularity')?></span></h1>
        
        <div class="ccm-dashboard-inner">
            
            <div class="sectionOptionZone particleCSS altLinks" style="margin-top:0px; ">
                <div class="sectionOptions" style="width:100%; text-align:left; margin-bottom:8px;">  
                    <div style="float:right">
                     <a href="#" id="visitDisplayGraphLink" onclick="ParticleTraffic.popularityView('Graph',this); return false;" class="<?php   echo ($defaultVisitDisplayMode=='graph')?'selected':''?>"><?php   echo t('Graph')?></a> 
                    &nbsp;<a href="#" id="visitDisplayTableLink" onclick="ParticleTraffic.popularityView('Table',this); return false;" class="<?php   echo ($defaultVisitDisplayMode=='table')?'selected':''?>"><?php   echo t('Table')?></a>		
                    </div>
                                    
                    <span class="timeFrameLinks">
                    <a href="#" id="visitDataDayLink" onclick="ParticleTraffic.popularityDataView('Day',this); return false;"><?php   echo t('Day')?></a>&nbsp; 
                    <a href="#" id="visitDataWeekLink" class="selected" onclick="ParticleTraffic.popularityDataView('Week',this); return false;"><?php   echo t('Week')?></a>&nbsp; 
                    <a href="#" id="visitDataYearLink" class="" onclick="ParticleTraffic.popularityDataView('Year',this); return false;"><?php   echo t('Year')?></a>
                    </span> 
                </div> 
                <div class="spacer"></div>
            </div>
             
            <div id="visitDisplayGraphWrap" style="background:#fafafa">
            	<div style="margin:auto; max-width:500px; min-width:300px;">
                <div id="visitGraphMask"></div>
                <div id="visitGraphFlash">			
                    <div style="padding:8px; text-align:center" class="faint small">
                        <?php   echo t('This graph requires')?> <a href="http://www.adobe.com/go/getflashplayer"><?php   echo t('Adobe Flash')?></a>.
                    </div>
                </div>
                </div>
            </div> 
            
            <div id="visitDisplayTableWrap" class="<?php   echo ($defaultVisitDisplayMode!='table')?'none':''?>">	
                <div id="visitDataDayWrap" class="visitDataWrap <?php   echo ($defaultTimeframe!='day')?'none':''?>">
                <table class="small dataGrid" width="100%">
                    <tr class="keyCell">
                        <td><?php   echo t('Past 24 Hours')?></td> 
                        <td class="countCol"><?php   echo t('Visits')?></td>
                        <td class="countCol"><?php   echo t('Page Views')?></td>
                    </tr>
                    <?php    
                    //by hour
                    for($i=0;$i<24;$i++){ ?>
                        <tr>
                            <td><?php   echo date('g:00 a',time()-($i*3600)) ?></td>
                            <td class="countCol"><?php   echo intval( $this->visitData['hours'][date('Y_n_z_G',time()-($i*3600))]['visits'] )?></td>
                            <td class="countCol"><?php   echo intval( $this->visitData['hours'][date('Y_n_z_G',time()-($i*3600))]['pageviews'] )?></td>
                        </tr>
                    <?php    } ?>
                </table>
                </div>
                
                <div id="visitDataWeekWrap" class="visitDataWrap <?php   echo ($defaultTimeframe!='week')?'none':''?>">
                <table class="small dataGrid" width="100%">
                    <tr class="keyCell">
                        <td><?php   echo t('Past Week')?> </td> 
                        <td class="countCol"><?php   echo t('Visits')?></td>
                        <td class="countCol"><?php   echo t('Page Views')?></td>
                    </tr>
                    <?php    
                    //past week
                    for($i=0;$i<7;$i++){ ?>
                        <tr>
                            <td><?php   echo date('l',time()-($i*3600*24)) ?></td>
                            <td class="countCol"><?php   echo intval( $this->visitData['days'][date('Y_n_z',time()-($i*3600*24))]['visits'] )?></td>
                            <td class="countCol"><?php   echo intval( $this->visitData['days'][date('Y_n_z',time()-($i*3600*24))]['pageviews'] )?></td>
                        </tr>
                    <?php    } ?>
                </table>
                </div> 
                
                <div id="visitDataYearWrap" class="visitDataWrap <?php   echo ($defaultTimeframe!='year')?'none':''?>">
                <table class="small dataGrid" width="100%">
                    <tr class="keyCell">
                        <td><?php   echo t('Past Year')?> </td> 
                        <td class="countCol"><?php   echo t('Visits')?></td>
                        <td class="countCol"><?php   echo t('Page Views')?></td>
                    </tr>
                    <?php    
                    //past year
                    for($i=0;$i<12;$i++){ 
                        $time=mktime(1,1,1,date('n')-$i,1,date('Y'));
                        ?>
                        <tr>
                            <td><?php   echo date('M y',$time) ?></td>
                            <td class="countCol"><?php   echo intval( $this->visitData['months'][date('Y_n',$time)]['visits'] )?></td>
                            <td class="countCol"><?php   echo intval( $this->visitData['months'][date('Y_n',$time)]['pageviews'] )?></td>
                        </tr>
                    <?php    } ?>
                </table>
                </div>
            </div>
        
        </div> 
        



        
        <h1><span><?php   echo t('User Visits')?></span></h1>
        
        <div class="ccm-dashboard-inner"> 
        
            <div id="visitsDataWrap" class="visitsDataWrap">
                <table class="small dataGrid" width="100%">
                    <tr class="keyCell">
                        <td><?php   echo t('User IP &amp; Host')?> <span class="faint">/ <?php   echo t('Pages')?></span> </td> 
                        <td class="countCol"><?php   echo t('When')?> <span class="faint">/ <?php   echo t('Durations')?></span> </td>
                    </tr>
                    <?php    
                    if( !count($this->visitPaths) ){ ?>  
                        <tr>
                            <td colspan="3" class="faint"><?php   echo t('None')?></td>
                        </tr>
                    <?php    
                    }			
                    $visitPathRowNum=0;
                    if($this->visitPaths) foreach($this->visitPaths as $name=>$data){  
                        $visitPathRowNum++;
                        $pagesViewed=count($data['hitData']);  
                        $siteAddress='/';
                        ?>
                        <tr>
                            <td>
                                <div class="visitPathName" onclick="ParticleTraffic.showPathDetails(<?php   echo $visitPathRowNum?>,this); return false;"> 
                                    <div class="arrow arrowRight"></div>
                                    
                                    <?php    if( intval($data['users_id']) ){ 
										$visitingUser = DashboardStatsController::getCachedUser($data['users_id']);
										?>
                                        <a href="<?php   echo  View::url('dashboard/users/search?uID='.intval($data['users_id'])) ?>" onclick="window.location=this.href"><?php   echo $visitingUser->getUserName();  ?></a>
                                    <?php    } ?>
                                    
                                    <?php   echo $data['ip']?>  
                                    
                                    <?php    if(strlen($data['host_name']) && $data['host_name']!=$data['ip']){ ?>
                                        <span class="faint note"> <?php   echo $data['host_name']?></span>
                                    <?php    } ?>
                                    <span class="faint note"> (<?php   echo $pagesViewed?>)</span>
                                </div> 
                                <div id="visitPathDetails<?php   echo $visitPathRowNum?>" class="visitPathDetails none note"> 
                                    <?php    
                                    $userExtraDataPrinted=0;
                                    $browserFound=0;
                                    if(strlen($data['browser']) && strtolower($data['browser'])!='unrecognized'){ 
                                        $browserFound=1;
                                        $userExtraDataPrinted=1;
                                        ?>
                                        <span class="faint">
                                            <?php   echo ParticleTrafficDisplay::cleanBrowserName($data['browser'])?> <?php   echo intval($data['browser_version'])?>.0
                                        </span>
                                    <?php    } ?>
                                    <?php    if(strlen($data['platform']) && strtolower($data['platform'])!='unrecognized'){ 
                                        $userExtraDataPrinted=1; ?>
                                        <span class="faint">
                                            <?php   echo ($browserFound)?' / ':''?>
                                            <?php   echo ucwords($data['platform'])?>
                                        </span>
                                    <?php    } ?>	
                                    <?php   
                                    $referrerDataPrinted=0;
                                    if( strlen($data['referrer_url']) ){ 
                                        $referrerDataPrinted=1; ?>
                                        <div class="faint"> 
                                            <?php   echo t('From:')?> <a href="<?php   echo $data['referrer_url']?>" class="noUL"><span class="faint"><?php   echo ParticleTrafficTools::shortText(str_ireplace(array('http://','https://','www.'),'',$data['referrer_url']),50)?></span></a>
                                        </div>
                                    <?php    } ?>																		
                                    <div class="hits ">
                                        <?php    if( $pagesViewed ) foreach($data['hitData'] as $hit){ ?>
                                            <div class="hit faint">
                                            <a href="<?php   echo ParticleTrafficTools::formatPageURL($hit['page_url']) ?>">
                                                <?php   echo ParticleTrafficTools::formatPageName($hit['page_title'],$hit['page_url']) ?>
                                            </a>&nbsp;						
                                            </div>
                                        <?php    } ?>
                                    </div>
                                </div>
                            </td> 			
                            <td class="countCol">
                                <?php   echo ParticleTrafficTools::timePast($data['created']) ?>
                                <div id="visitPathStats<?php   echo $visitPathRowNum?>" class="visitPathStats note none">
                                    <?php    if($userExtraDataPrinted){ ?>
                                        &nbsp;<br />
                                    <?php    } ?>
                                    <?php    if($referrerDataPrinted){ ?>
                                        &nbsp;<br />
                                    <?php    } ?>							
                                    <?php   
                                    $lastHitTime=0;
                                    if( $pagesViewed ) foreach($data['hitData'] as $hit){ ?>
                                        <div class="hitStat faint">
                                            <?php   
                                            if($lastHitTime==0){
                                                echo ($hit['created']>(date('U')-ParticleTrafficTracker::$visitTimeout))?t('Viewing'):t('Timed Out');
                                            }else{
                                                echo ParticleTrafficTools::timeLengthLabel($lastHitTime-$hit['created']);
                                            }									
                                            ?>						
                                        </div>
                                        <?php    
                                        $lastHitTime=$hit['created'];
                                    } ?>
                                </div>						
                            </td>
                        </tr> 
                    <?php    } ?>
                </table>
            </div>
        </div>





	</td><td width="2%">&nbsp;</td><td valign="top"> 
        
        <h1><span><?php   echo t('Pages')?></span></h1>
        
        <div class="ccm-dashboard-inner" >    
            
            <div class="sectionOptionZone particleCSS altLinks" style="margin-top:0px;">
                <div id="pagesDataLinks" class="sectionOptions" style="float:none; text-align:right">  
                    <a href="#" id="pagesDataTopLink" class="<?php   echo ($defaultPagesView=='top')?'selected':''?>" onclick="ParticleTraffic.pgsView('Top',this); return false;"><?php   echo t('Top')?></a>&nbsp; 
                    <a href="#" id="pagesDataRecentLink" class="<?php   echo ($defaultPagesView=='recent')?'selected':''?>" onclick="ParticleTraffic.pgsView('Recent',this); return false;"><?php   echo t('Recent')?></a> 
                </div> 
                <div class="spacer"></div>
            </div>
            
            <div id="pagesDataTopWrap" class="pagesDataWrap <?php   echo ($defaultPagesView!='top')?'none':''?>">
                <table class="small dataGrid" width="100%">
                    <tr class="keyCell">
                        <td><?php   echo t('Most Popular Pages')?> </td> 
                        <td class="countCol"><?php   echo t('Views')?></td>
                    </tr>
                    <?php    
                    if(!count($this->pagesData['top'])){ ?>  
                        <tr>
                            <td colspan="2" class="faint"><?php   echo t('None')?></td>
                        </tr>
                    <?php    
                    }	
                    
                    foreach($this->pagesData['top'] as $name=>$data){ 
                        ?>
                        <tr>
                            <td>
                                
                                    <a href="<?php   echo ParticleTrafficTools::formatPageURL($data['page_url']) ?>">
                                        <?php   echo ParticleTrafficTools::formatPageName($data['page_title'],$data['page_url']) ?>
                                    </a>
                                    
                            </td>
                            <td class="countCol">
                                <?php   echo intval($data['count']) ?>
                            </td>
                        </tr>
                    <?php    } ?>
                </table>
            </div>
                
            <div id="pagesDataRecentWrap" class="pagesDataWrap <?php   echo ($defaultPagesView!='recent')?'none':''?>">
                <table class="small dataGrid" width="100%">
                    <tr class="keyCell">
                        <td><?php   echo t('Recently Viewed Pages')?> </td> 
                        <td class="countCol"><?php   echo t('When')?> </td>
                    </tr>
                    <?php    
                    if(!count($this->pagesData['recent'])){ ?>  
                        <tr>
                            <td colspan="2" class="faint"><?php   echo t('None')?></td>
                        </tr>
                    <?php    
                    }		
                    foreach($this->pagesData['recent'] as $name=>$data){ ?>
                        <tr>
                            <td>
                        
                        		<div>
                                <a href="<?php   echo ParticleTrafficTools::formatPageURL($data['page_url']) ?>">
                                    <?php   echo ParticleTrafficTools::formatPageName($data['page_title'],$data['page_url']) ?>
                                </a>
                                </div>  
                                
                                
                                <div class="ccm-note">
								<?php    if( intval($data['users_id']) ){ 
                                    $visitingUser = DashboardStatsController::getCachedUser($data['users_id']);
                                    ?>
                                    <?php   echo t('by') ?> <a href="<?php   echo  View::url('dashboard/users/search?uID='.intval($data['users_id'])) ?>" onclick="window.location=this.href"><?php   echo $visitingUser->getUserName();  ?></a>
                                <?php     
								} ?>
                                
                                <span class="detail faint note"><?php   echo $data['ip']?></span>  
                                
                                <?php    if(strlen($data['host_name']) && $data['host_name']!=$data['ip']){ ?>
                                    <span class="faint note"> <?php   echo $data['host_name']?></span>
                                <?php    } ?>
                                </div>
                                
                            </td>
                            <td class="countCol"> 
                                <?php   echo ParticleTrafficTools::timePast($data['created']) ?>
                            </td>
                        </tr>
                    <?php    } ?>
                </table>
            </div>
        </div>


        

    
        
        <h1><span><?php   echo t('Site Discovery')?></span></h1>
        
        <div class="ccm-dashboard-inner">
            
            <div class="sectionOptionZone particleCSS altLinks" style="margin-top:0px;">
                <div class="sectionOptions" style="text-align:left; margin-bottom:8px; "> 
                    <div id="discoveryDataSet" style="float:right;">
                        <a href="#" id="discoveryDataTopLink" class="<?php   echo ($defaultDiscoveryDataSet=='top')?'selected':''?>" onclick="ParticleTraffic.discoverySort('Top',this); return false;"><?php   echo t('Top')?></a>&nbsp; 
                        <a href="#" id="discoveryDataRecentLink" class="<?php   echo ($defaultDiscoveryDataSet=='recent')?'selected':''?>" onclick="ParticleTraffic.discoverySort('Recent',this); return false;"><?php   echo t('Recent')?></a> 
                    </div>     
                               
                    <div id="discoveryDataLinks"> 
                        <a href="#" id="discoveryReferrersLink" class="<?php   echo ($defaultDiscoveryView=='referrers')?'selected':''?>" onclick="ParticleTraffic.discoveryView('Referrers',this); return false;"><?php   echo t('Referrers')?></a> 
                        &nbsp;<a href="#" id="discoverySearchesLink" class="<?php   echo ($defaultDiscoveryView=='searches')?'selected':''?>" onclick="ParticleTraffic.discoveryView('Searches',this); return false;"><?php   echo t('Searches')?></a>	  
                    </div>	 
                </div> 
                <div class="spacer"></div>
            </div>
            <div id="discoveryReferrersWrap" class="discoveryDataWrap <?php   echo ($defaultDiscoveryView!='referrers')?'none':''?>">
                <table id="discoveryDataReferrersTopWrap" class="small dataGrid top <?php   echo ($defaultDiscoveryDataSet!='top')?'none':''?>" width="100%">
                    <tr class="keyCell">
                        <td><?php   echo t('Top Referrers')?> </td> 
                        <td class="countCol"><?php   echo t('Visits')?> </td> 
                    </tr>
                    <?php    
                    if(!count($this->referrerData['top'])){ ?>  
                        <tr>
                            <td colspan="2" class="faint"><?php   echo t('None')?></td>
                        </tr>
                    <?php    
                    }
                    foreach($this->referrerData['top'] as $referrer){ ?>
                        <tr>
                            <td><a href="<?php   echo $referrer['referrer_url']?>"><?php   echo ParticleTrafficTools::shortText(str_ireplace('http://','',$referrer['referrer_url']),50)?></a></td>
                            <td class="countCol"><?php   echo intval($referrer['count'])?></td>
                        </tr>
                    <?php    } ?>
                </table>
                <table id="discoveryDataReferrersRecentWrap" class="small dataGrid recent <?php   echo ($defaultDiscoveryDataSet!='recent')?'none':''?>" width="100%">
                    <tr class="keyCell">
                        <td><?php   echo t('Recent Referrers')?> </td> 
                        <td class="countCol"><?php   echo t('When')?> </td> 
                    </tr>
                    <?php    
                    if(!count($this->referrerData['recent'])){ ?>  
                        <tr>
                            <td colspan="2" class="faint"><?php   echo t('None')?></td>
                        </tr>
                    <?php    
                    }
                    foreach($this->referrerData['recent'] as $referrer){ ?>
                        <tr>
                            <td><a href="<?php   echo $referrer['referrer_url']?>"><?php   echo ParticleTrafficTools::shortText(str_ireplace('http://','',$referrer['referrer_url']),50)?></a></td>
                            <td class="countCol left"><?php   echo ParticleTrafficTools::timePast($referrer['created'])?></td>
                        </tr>
                    <?php    } ?>
                </table>	
            </div>
            <div id="discoverySearchesWrap" class="discoveryDataWrap <?php   echo ($defaultDiscoveryView!='searches')?'none':''?>">
                <table id="discoveryDataSearchesTopWrap" class="small dataGrid top <?php   echo ($defaultDiscoveryDataSet!='top')?'none':''?>" width="100%">
                    <tr class="keyCell">
                        <td><?php   echo t('Top Searches')?> </td> 
                        <td class="countCol"><?php   echo t('Visits')?> </td> 
                    </tr>
                    <?php    
                    if(!count($this->searchesData['top'])){ ?>  
                        <tr>
                            <td colspan="2" class="faint"><?php   echo t('None')?></td>
                        </tr>
                    <?php    
                    }
                    foreach($this->searchesData['top'] as $data){ ?>
                        <tr>
                            <td><?php   echo ParticleTrafficTools::shortText($data['search_terms'],50)?></td>
                            <td class="countCol"><?php   echo intval($data['count'])?></td>
                        </tr>
                    <?php    } ?>
                </table>
                <table id="discoveryDataSearchesRecentWrap" class="small dataGrid recent <?php   echo ($defaultDiscoveryDataSet!='recent')?'none':''?>" width="100%">
                    <tr class="keyCell">
                        <td><?php   echo t('Recent Searches')?> </td> 
                        <td class="countCol"><?php   echo t('When')?> </td> 
                    </tr>
                    <?php    
                    if(!count($this->searchesData['recent'])){ ?>  
                        <tr>
                            <td colspan="2" class="faint"><?php   echo t('None')?></td>
                        </tr>
                    <?php    
                    }
                    foreach($this->searchesData['recent'] as $data){ ?>
                        <tr>
                            <td><?php   echo ParticleTrafficTools::shortText($data['search_terms'],50)?></td>
                            <td class="countCol left"><?php   echo ParticleTrafficTools::timePast($data['created'])?></td>
                        </tr>
                    <?php    } ?>
                </table>	
            </div>
        </div>
        
        
        
        <h1><span><?php   echo t("Users' System Info")?></span></h1>
        
        <div class="ccm-dashboard-inner">
            
            <div class="sectionOptionZone particleCSS altLinks" style="margin-top:0px; margin-bottom:8px;">
                <div id="userAgentDataLinks" class="sectionOptions" style="text-align:right; width:100%; ">  
                    <a href="#" id="userAgentDataBrowsersLink" class="selected" onclick="ParticleTraffic.usrAgentView('Browsers',this); return false;"><?php   echo t('Browsers')?></a>&nbsp; 
                    
                    <?php    if($this->screenData && count($this->screenData)){ ?>
                        <a href="#" id="userAgentDataScreensLink" onclick="ParticleTraffic.usrAgentView('Screens',this); return false;"><?php   echo t('Screens')?></a>&nbsp;
                    <?php    } ?>
                    
                    <a href="#" id="userAgentDataPlatformsLink" onclick="ParticleTraffic.usrAgentView('Platforms',this); return false;"><?php   echo t('Platforms')?></a>&nbsp; 
                    
                    <?php    if($this->flashData && count($this->flashData)){ ?>
                        <a href="#" id="userAgentDataFlashLink" onclick="ParticleTraffic.usrAgentView('Flash',this); return false;"><?php   echo t('Flash')?></a>
                    <?php    } ?>
                </div> 
                
                <div class="spacer"></div>
            </div>
            
                
            <div id="userAgentDataBrowsersWrap" class="userAgentDataWrap <?php   echo ($defaultUserAgentView!='browsers')?'none':''?>">
                <table class="small dataGrid" width="100%">
                    <tr class="keyCell">
                        <td colspan="2"><?php   echo t('Browsers')?> </td> 
                    </tr>
                    <?php   
                    $faintCutoff=1;
                    $browserRowNum=0;
                    foreach($this->browserData as $family=>$data){ 
                        $browserUsage=1*round($data['usage']*1);
                        $browserRowNum++;
                        ?>
                        <tr>
                            <td>
                                <div class="browserName" onclick="ParticleTraffic.browserVersions(<?php   echo $browserRowNum?>,this)">
                                    <div class="arrow arrowRight"></div>
                                    <div class="floatL"><?php   echo ParticleTrafficDisplay::cleanBrowserName($data['browser'])?></div>
                                    <div class="spacer">&nbsp;</div>
                                </div> 
                                <div id="versionsNumbersWrap<?php   echo $browserRowNum?>" class="faint versions note none">
                                    <?php    foreach($data['versions'] as $versionNumber=>$versionData){ ?>
                                        <div><?php   echo intval($versionNumber)?>.0&nbsp;</div> 
                                    <?php    } ?>
                                </div>
                            </td>
                            <td class="countCol"> 
                                <?php   echo (floatval($browserUsage)<$faintCutoff) ? '<'.$faintCutoff : floatval($browserUsage) ?>%
                                <div id="versionsUsageWrap<?php   echo $browserRowNum?>" class="faint versions note none">
                                    <?php    if(is_array($data['versions'])) foreach($data['versions'] as $versionNumber=>$versionData){ 
                                        $versionUsage=$data['usage']*($versionData['usage']/100);
                                        $versionUsage=1*round($versionUsage*1);
                                        ?> 
                                        <div><?php   echo (floatval($versionUsage)<$faintCutoff) ? '<'.$faintCutoff : floatval($versionUsage) ?>% </div>
                                    <?php    } ?>
                                </div>					
                            </td>
                        </tr>
                    <?php    } ?>
                </table> 
            </div>
                
            <div id="userAgentDataPlatformsWrap" class="userAgentDataWrap <?php   echo ($defaultUserAgentView!='platforms')?'none':''?>">
                <table class="small dataGrid" width="100%">
                    <tr class="keyCell">
                        <td colspan="2"><?php   echo t('Operating Systems')?></td> 
                    </tr>
                    <?php     
                    $faintCutoff=1;
                    foreach($this->platformData as $name=>$data){ ?>
                        <tr>
                            <td><?php   echo ucwords($data['platform'])?></td>
                            <td class="countCol">
                                <?php   echo (intval($data['usage'])<$faintCutoff) ? '<'.$faintCutoff : intval($data['usage']) ?>% 
                            </td>
                        </tr>
                    <?php    } ?>
                </table>
            </div>
                
                
            <div id="userAgentDataScreensWrap" class="userAgentDataWrap <?php   echo ($defaultUserAgentView!='screens')?'none':''?>">
                <table class="small dataGrid" width="100%">
                    <tr class="keyCell">
                        <td colspan="2"><?php   echo t('Screen Resolutions')?></td> 
                    </tr>
                    <?php   
                    $faintCutoff=1;  
                    if(!$this->screenData || !count($this->screenData)){ ?>
                        <tr class="faint">
                            <td colspan="2"><?php   echo t('None')?></td> 
                        </tr>
                    <?php    }else foreach($this->screenData as $size=>$data){ ?>
                        <tr>
                            <td class="<?php   echo (intval($data['usage'])<$faintCutoff)?'faint':''?>">
                                <?php   echo $data['resolution']?>
                            </td>
                            <td class="<?php   echo (intval($data['usage'])<$faintCutoff)?'faint':''?> countCol">
                                <?php   echo (intval($data['usage'])<$faintCutoff) ? '<'.$faintCutoff : intval($data['usage']) ?>% 
                            </td>
                        </tr>
                    <?php    } ?>
                </table>
            </div>
            
            <div id="userAgentDataFlashWrap" class="userAgentDataWrap <?php   echo ($defaultUserAgentView!='flash')?'none':''?>">
                <table class="small dataGrid" width="100%">
                    <tr class="keyCell">
                        <td colspan="2"><?php   echo t('Flash Versions')?></td> 
                    </tr>
                    <?php   
                    $faintCutoff=1;  
                    if(!$this->flashData || !count($this->flashData)){ ?>
                        <tr class="faint">
                            <td colspan="2"><?php   echo t('None')?></td> 
                        </tr>
                    <?php    }else foreach($this->flashData as $version=>$data){ ?>
                        <tr>
                            <td class="<?php   echo (intval($data['usage'])<$faintCutoff)?'faint':''?>">
                                <?php   echo (intval($data['version'])!=0)?$data['version']:'None' ?>
                            </td>
                            <td class="<?php   echo (intval($data['usage'])<$faintCutoff)?'faint':''?> countCol">
                                <?php   echo (intval($data['usage'])<$faintCutoff) ? '<'.$faintCutoff : intval($data['usage']) ?>% 
                            </td>
                        </tr>
                    <?php    } ?>
                </table>
            </div>	
        </div>

	</td></tr></table>

	<div id="ParticleTrafficCredits">
		<a href="http://inneroptics.net">Tony Trupp / Inner Optics LLC. &copy; 2009+</a> 
	</div>

</div>

<script type="text/javascript">
statsDefaultTimeFrame='<?php   echo $defaultTimeframe?>';
statsDefaultDisplayMode='<?php   echo $defaultVisitDisplayMode?>';
</script>